/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.canvas;

public class CanvasDataGlobal extends com.mysql.grt.GrtObjectDataGlobal implements CanvasData {

    public CanvasDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public com.mysql.grt.GrtHashMap getModel() {
        return (com.mysql.grt.GrtHashMap) getGrtGlobalAsObject("model");

    }

    public com.mysql.grt.GrtHashMap setModel(com.mysql.grt.GrtHashMap model) {
        setGrtGlobalFromObject("model", model);

        return getModel();
    }

    public com.mysql.grt.canvas.ViewList getViews() {
        return (com.mysql.grt.canvas.ViewList) getGrtGlobalAsObject("views");
    }

    public com.mysql.grt.canvas.ViewList setViews(com.mysql.grt.canvas.ViewList views) {
        setGrtGlobalFromObject("views", views);

        return getViews();
    }

    public com.mysql.grt.canvas.LayerList getLayers() {
        return (com.mysql.grt.canvas.LayerList) getGrtGlobalAsObject("layers");
    }

    public com.mysql.grt.canvas.LayerList setLayers(com.mysql.grt.canvas.LayerList layers) {
        setGrtGlobalFromObject("layers", layers);

        return getLayers();
    }

}
