/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.canvas;

public class CaptionDataLocal extends com.mysql.grt.GrtObjectDataLocal implements CaptionData {

    private int fontSize;

    private int fontWeight;

    private double constraintMaxHeight;

    private double constraintMaxWidth;

    private double constraintMinHeight;

    private double constraintMinWidth;

    private String text;

    private String fontFamily;

    private String fontStyle;

    private String horizontalAlignment;

    private String verticalAlignment;

    private String color;

    private String bidiMode;

    public CaptionDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public int getFontSize() {
        return fontSize;
    }

    public int setFontSize(int fontSize) {
        this.fontSize = fontSize;

        return getFontSize();
    }

    public int getFontWeight() {
        return fontWeight;
    }

    public int setFontWeight(int fontWeight) {
        this.fontWeight = fontWeight;

        return getFontWeight();
    }

    public double getConstraintMaxHeight() {
        return constraintMaxHeight;
    }

    public double setConstraintMaxHeight(double constraintMaxHeight) {
        this.constraintMaxHeight = constraintMaxHeight;

        return getConstraintMaxHeight();
    }

    public double getConstraintMaxWidth() {
        return constraintMaxWidth;
    }

    public double setConstraintMaxWidth(double constraintMaxWidth) {
        this.constraintMaxWidth = constraintMaxWidth;

        return getConstraintMaxWidth();
    }

    public double getConstraintMinHeight() {
        return constraintMinHeight;
    }

    public double setConstraintMinHeight(double constraintMinHeight) {
        this.constraintMinHeight = constraintMinHeight;

        return getConstraintMinHeight();
    }

    public double getConstraintMinWidth() {
        return constraintMinWidth;
    }

    public double setConstraintMinWidth(double constraintMinWidth) {
        this.constraintMinWidth = constraintMinWidth;

        return getConstraintMinWidth();
    }

    public String getText() {
        return text;
    }

    public String setText(String text) {
        this.text = text;

        return getText();
    }

    public String getFontFamily() {
        return fontFamily;
    }

    public String setFontFamily(String fontFamily) {
        this.fontFamily = fontFamily;

        return getFontFamily();
    }

    public String getFontStyle() {
        return fontStyle;
    }

    public String setFontStyle(String fontStyle) {
        this.fontStyle = fontStyle;

        return getFontStyle();
    }

    public String getHorizontalAlignment() {
        return horizontalAlignment;
    }

    public String setHorizontalAlignment(String horizontalAlignment) {
        this.horizontalAlignment = horizontalAlignment;

        return getHorizontalAlignment();
    }

    public String getVerticalAlignment() {
        return verticalAlignment;
    }

    public String setVerticalAlignment(String verticalAlignment) {
        this.verticalAlignment = verticalAlignment;

        return getVerticalAlignment();
    }

    public String getColor() {
        return color;
    }

    public String setColor(String color) {
        this.color = color;

        return getColor();
    }

    public String getBidiMode() {
        return bidiMode;
    }

    public String setBidiMode(String bidiMode) {
        this.bidiMode = bidiMode;

        return getBidiMode();
    }

}
