/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.canvas;

public class ViewDataLocal extends com.mysql.grt.GrtObjectDataLocal implements ViewData {

    private double zoomX;

    private double zoomY;

    private double x;

    private double y;

    private double jitter;

    private String description;

    private String color;

    private com.mysql.grt.canvas.LayerList layers;

    public ViewDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public double getZoomX() {
        return zoomX;
    }

    public double setZoomX(double zoomX) {
        this.zoomX = zoomX;

        return getZoomX();
    }

    public double getZoomY() {
        return zoomY;
    }

    public double setZoomY(double zoomY) {
        this.zoomY = zoomY;

        return getZoomY();
    }

    public double getX() {
        return x;
    }

    public double setX(double x) {
        this.x = x;

        return getX();
    }

    public double getY() {
        return y;
    }

    public double setY(double y) {
        this.y = y;

        return getY();
    }

    public double getJitter() {
        return jitter;
    }

    public double setJitter(double jitter) {
        this.jitter = jitter;

        return getJitter();
    }

    public String getDescription() {
        return description;
    }

    public String setDescription(String description) {
        this.description = description;

        return getDescription();
    }

    public String getColor() {
        return color;
    }

    public String setColor(String color) {
        this.color = color;

        return getColor();
    }

    public com.mysql.grt.canvas.LayerList getLayers() {
        if (layers == null)
            layers = new com.mysql.grt.canvas.LayerList(this.grtObject);
        return layers;
    }

    public com.mysql.grt.canvas.LayerList setLayers(com.mysql.grt.canvas.LayerList layers) {
        this.layers = layers;
        return getLayers();
    }

}
