/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db;

public class Index extends com.mysql.grt.base.NamedGrtObject {

    protected Index() {
    }

    public Index(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new IndexDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new IndexDataGlobal((String) obj);
        }
    }

    public int getIsPrimary() {
        return ((IndexData) data).getIsPrimary();
    }

    public int setIsPrimary(int isPrimary) {
        ((IndexData) data).setIsPrimary(isPrimary);

        return getIsPrimary();
    }

    public int getDeferability() {
        return ((IndexData) data).getDeferability();
    }

    public int setDeferability(int deferability) {
        ((IndexData) data).setDeferability(deferability);

        return getDeferability();
    }

    public int getUnique() {
        return ((IndexData) data).getUnique();
    }

    public int setUnique(int unique) {
        ((IndexData) data).setUnique(unique);

        return getUnique();
    }

    public String getIndexType() {
        return ((IndexData) data).getIndexType();
    }

    public String setIndexType(String indexType) {
        ((IndexData) data).setIndexType(indexType);

        return getIndexType();
    }

    public com.mysql.grt.db.IndexColumnList getColumns() {
        return ((IndexData) data).getColumns();
    }

    public com.mysql.grt.db.IndexColumnList setColumns(com.mysql.grt.db.IndexColumnList columns) {
        ((IndexData) data).setColumns(columns);

        return getColumns();
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            xml.append("<value type=\"int\" key=\"isPrimary\">"
                    + Integer.toString(getIsPrimary()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"deferability\">"
                    + Integer.toString(getDeferability()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"unique\">"
                    + Integer.toString(getUnique()) + "</value>\n");

            if (getIndexType() != null) {
                xml.append("<value type=\"string\" key=\"indexType\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getIndexType()) + "</value>\n");
            }

            if (getColumns() != null) {
                getColumns().getGrtXml(xml, " key=\"columns\"");
            }

        return xml;
    }
}
