/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db;

public class StructuredDatatypeDataGlobal extends com.mysql.grt.db.DatabaseObjectDataGlobal implements StructuredDatatypeData {

    public StructuredDatatypeDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public com.mysql.grt.db.ColumnList getDistinctTypes() {
        return (com.mysql.grt.db.ColumnList) getGrtGlobalAsObject("distinctTypes");
    }

    public com.mysql.grt.db.ColumnList setDistinctTypes(com.mysql.grt.db.ColumnList distinctTypes) {
        setGrtGlobalFromObject("distinctTypes", distinctTypes);

        return getDistinctTypes();
    }

    public com.mysql.grt.db.StructuredDatatype getParentType() {
        return (com.mysql.grt.db.StructuredDatatype) com.mysql.grt.Grt.getInstance().getObjectByRefId(
                getGrtGlobalAsString("parentType"));
    }

    public com.mysql.grt.db.StructuredDatatype setParentType(com.mysql.grt.db.StructuredDatatype parentType) {
        setGrtGlobalFromString("parentType", parentType.get_id());

        return getParentType();
    }

    public String getParentTypeById() {
        return getGrtGlobalAsString("parentType");
    }

    public void setParentTypeById(String parentType) {
        setGrtGlobalFromString("parentType", parentType);
    }

}
