/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db;

public class TableDataLocal extends com.mysql.grt.db.DatabaseObjectDataLocal implements TableData {

    private int isTemporary;

    private int isSystem;

    private String temporaryScope;

    private com.mysql.grt.db.ColumnList columns;

    private com.mysql.grt.db.IndexList indices;

    private com.mysql.grt.db.ForeignKeyList foreignKeys;

    private com.mysql.grt.db.TriggerList triggers;

    private com.mysql.grt.db.StructuredDatatype template;

    private String primaryKey;

    public TableDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public int getIsTemporary() {
        return isTemporary;
    }

    public int setIsTemporary(int isTemporary) {
        this.isTemporary = isTemporary;

        return getIsTemporary();
    }

    public int getIsSystem() {
        return isSystem;
    }

    public int setIsSystem(int isSystem) {
        this.isSystem = isSystem;

        return getIsSystem();
    }

    public String getTemporaryScope() {
        return temporaryScope;
    }

    public String setTemporaryScope(String temporaryScope) {
        this.temporaryScope = temporaryScope;

        return getTemporaryScope();
    }

    public com.mysql.grt.db.StructuredDatatype getTemplate() {
        if (template == null)
            template = new com.mysql.grt.db.StructuredDatatype(this.grtObject);
        return template;
    }

    public com.mysql.grt.db.StructuredDatatype setTemplate(com.mysql.grt.db.StructuredDatatype template) {
        this.template = template;

        return getTemplate();
    }

    public com.mysql.grt.db.ColumnList getColumns() {
        if (columns == null)
            columns = new com.mysql.grt.db.ColumnList(this.grtObject);
        return columns;
    }

    public com.mysql.grt.db.ColumnList setColumns(com.mysql.grt.db.ColumnList columns) {
        this.columns = columns;
        return getColumns();
    }

    public com.mysql.grt.db.IndexList getIndices() {
        if (indices == null)
            indices = new com.mysql.grt.db.IndexList(this.grtObject);
        return indices;
    }

    public com.mysql.grt.db.IndexList setIndices(com.mysql.grt.db.IndexList indices) {
        this.indices = indices;
        return getIndices();
    }

    public com.mysql.grt.db.ForeignKeyList getForeignKeys() {
        if (foreignKeys == null)
            foreignKeys = new com.mysql.grt.db.ForeignKeyList(this.grtObject);
        return foreignKeys;
    }

    public com.mysql.grt.db.ForeignKeyList setForeignKeys(com.mysql.grt.db.ForeignKeyList foreignKeys) {
        this.foreignKeys = foreignKeys;
        return getForeignKeys();
    }

    public com.mysql.grt.db.TriggerList getTriggers() {
        if (triggers == null)
            triggers = new com.mysql.grt.db.TriggerList(this.grtObject);
        return triggers;
    }

    public com.mysql.grt.db.TriggerList setTriggers(com.mysql.grt.db.TriggerList triggers) {
        this.triggers = triggers;
        return getTriggers();
    }

    public com.mysql.grt.db.Index getPrimaryKey() {
        return (com.mysql.grt.db.Index) com.mysql.grt.Grt.getInstance().getObjectByRefId(primaryKey);
    }

    public com.mysql.grt.db.Index setPrimaryKey(com.mysql.grt.db.Index primaryKey) {
        this.primaryKey = primaryKey.get_id();
        return getPrimaryKey();
    }

    public String getPrimaryKeyById() {
        return primaryKey;
    }

    public void setPrimaryKeyById(String primaryKey) {
        this.primaryKey = primaryKey;
    }

}
