/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db;

public class Version extends com.mysql.grt.GrtObject {

    protected Version() {
    }

    public Version(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new VersionDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new VersionDataGlobal((String) obj);
        }
    }

    public int getMajor() {
        return ((VersionData) data).getMajor();
    }

    public int setMajor(int major) {
        ((VersionData) data).setMajor(major);

        return getMajor();
    }

    public int getMinor() {
        return ((VersionData) data).getMinor();
    }

    public int setMinor(int minor) {
        ((VersionData) data).setMinor(minor);

        return getMinor();
    }

    public int getRelease() {
        return ((VersionData) data).getRelease();
    }

    public int setRelease(int release) {
        ((VersionData) data).setRelease(release);

        return getRelease();
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            xml.append("<value type=\"int\" key=\"major\">"
                    + Integer.toString(getMajor()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"minor\">"
                    + Integer.toString(getMinor()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"release\">"
                    + Integer.toString(getRelease()) + "</value>\n");

        return xml;
    }
}
