/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.maxdb;

public class Column extends com.mysql.grt.db.Column {

    protected Column() {
    }

    public Column(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new ColumnDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new ColumnDataGlobal((String) obj);
        }
    }

    public String getDefaultFunction() {
        return ((ColumnData) data).getDefaultFunction();
    }

    public String setDefaultFunction(String defaultFunction) {
        ((ColumnData) data).setDefaultFunction(defaultFunction);

        return getDefaultFunction();
    }

    public String getCodeType() {
        return ((ColumnData) data).getCodeType();
    }

    public String setCodeType(String codeType) {
        ((ColumnData) data).setCodeType(codeType);

        return getCodeType();
    }

    public String getPrivileges() {
        return ((ColumnData) data).getPrivileges();
    }

    public String setPrivileges(String privileges) {
        ((ColumnData) data).setPrivileges(privileges);

        return getPrivileges();
    }

    public String getDomainOwner() {
        return ((ColumnData) data).getDomainOwner();
    }

    public String setDomainOwner(String domainOwner) {
        ((ColumnData) data).setDomainOwner(domainOwner);

        return getDomainOwner();
    }

    public String getDomainName() {
        return ((ColumnData) data).getDomainName();
    }

    public String setDomainName(String domainName) {
        ((ColumnData) data).setDomainName(domainName);

        return getDomainName();
    }

    public String getCreateDate() {
        return ((ColumnData) data).getCreateDate();
    }

    public String setCreateDate(String createDate) {
        ((ColumnData) data).setCreateDate(createDate);

        return getCreateDate();
    }

    public String getCreateTime() {
        return ((ColumnData) data).getCreateTime();
    }

    public String setCreateTime(String createTime) {
        ((ColumnData) data).setCreateTime(createTime);

        return getCreateTime();
    }

    public String getAlterDate() {
        return ((ColumnData) data).getAlterDate();
    }

    public String setAlterDate(String alterDate) {
        ((ColumnData) data).setAlterDate(alterDate);

        return getAlterDate();
    }

    public String getAlterTime() {
        return ((ColumnData) data).getAlterTime();
    }

    public String setAlterTime(String alterTime) {
        ((ColumnData) data).setAlterTime(alterTime);

        return getAlterTime();
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            if (getDefaultFunction() != null) {
                xml.append("<value type=\"string\" key=\"defaultFunction\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getDefaultFunction()) + "</value>\n");
            }

            if (getCodeType() != null) {
                xml.append("<value type=\"string\" key=\"codeType\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getCodeType()) + "</value>\n");
            }

            if (getPrivileges() != null) {
                xml.append("<value type=\"string\" key=\"privileges\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getPrivileges()) + "</value>\n");
            }

            if (getDomainOwner() != null) {
                xml.append("<value type=\"string\" key=\"domainOwner\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getDomainOwner()) + "</value>\n");
            }

            if (getDomainName() != null) {
                xml.append("<value type=\"string\" key=\"domainName\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getDomainName()) + "</value>\n");
            }

            if (getCreateDate() != null) {
                xml.append("<value type=\"string\" key=\"createDate\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getCreateDate()) + "</value>\n");
            }

            if (getCreateTime() != null) {
                xml.append("<value type=\"string\" key=\"createTime\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getCreateTime()) + "</value>\n");
            }

            if (getAlterDate() != null) {
                xml.append("<value type=\"string\" key=\"alterDate\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getAlterDate()) + "</value>\n");
            }

            if (getAlterTime() != null) {
                xml.append("<value type=\"string\" key=\"alterTime\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getAlterTime()) + "</value>\n");
            }

        return xml;
    }
}
