/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.mgmt;

public class ManagementDataLocal extends com.mysql.grt.GrtObjectDataLocal implements ManagementData {

    private com.mysql.grt.db.mgmt.RdbmsList rdbms;

    private com.mysql.grt.db.mgmt.ConnectionList storedConns;

    private com.mysql.grt.db.DatatypeGroupList datatypeGroups;

    public ManagementDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public com.mysql.grt.db.mgmt.RdbmsList getRdbms() {
        if (rdbms == null)
            rdbms = new com.mysql.grt.db.mgmt.RdbmsList(this.grtObject);
        return rdbms;
    }

    public com.mysql.grt.db.mgmt.RdbmsList setRdbms(com.mysql.grt.db.mgmt.RdbmsList rdbms) {
        this.rdbms = rdbms;
        return getRdbms();
    }

    public com.mysql.grt.db.mgmt.ConnectionList getStoredConns() {
        if (storedConns == null)
            storedConns = new com.mysql.grt.db.mgmt.ConnectionList(this.grtObject);
        return storedConns;
    }

    public com.mysql.grt.db.mgmt.ConnectionList setStoredConns(com.mysql.grt.db.mgmt.ConnectionList storedConns) {
        this.storedConns = storedConns;
        return getStoredConns();
    }

    public com.mysql.grt.db.DatatypeGroupList getDatatypeGroups() {
        if (datatypeGroups == null)
            datatypeGroups = new com.mysql.grt.db.DatatypeGroupList(this.grtObject);
        return datatypeGroups;
    }

    public com.mysql.grt.db.DatatypeGroupList setDatatypeGroups(com.mysql.grt.db.DatatypeGroupList datatypeGroups) {
        this.datatypeGroups = datatypeGroups;
        return getDatatypeGroups();
    }

}
