/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.migration;

public class MappingDataLocal extends com.mysql.grt.GrtObjectDataLocal implements MappingData {

    private String sourceStructName;

    private String methodName;

    private String moduleName;

    private String paramGroupName;

    private com.mysql.grt.GrtStringHashMap params;

    private String sourceObject;

    private String method;

    public MappingDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public String getSourceStructName() {
        return sourceStructName;
    }

    public String setSourceStructName(String sourceStructName) {
        this.sourceStructName = sourceStructName;

        return getSourceStructName();
    }

    public String getMethodName() {
        return methodName;
    }

    public String setMethodName(String methodName) {
        this.methodName = methodName;

        return getMethodName();
    }

    public String getModuleName() {
        return moduleName;
    }

    public String setModuleName(String moduleName) {
        this.moduleName = moduleName;

        return getModuleName();
    }

    public String getParamGroupName() {
        return paramGroupName;
    }

    public String setParamGroupName(String paramGroupName) {
        this.paramGroupName = paramGroupName;

        return getParamGroupName();
    }

    public com.mysql.grt.GrtStringHashMap getParams() {
        if (params == null)
            params = new com.mysql.grt.GrtStringHashMap(this.grtObject);
        return params;
    }

    public com.mysql.grt.GrtStringHashMap setParams(com.mysql.grt.GrtStringHashMap params) {
        this.params = params;

        return getParams();
    }

    public com.mysql.grt.GrtObject getSourceObject() {
        return (com.mysql.grt.GrtObject) com.mysql.grt.Grt.getInstance().getObjectByRefId(sourceObject);
    }

    public com.mysql.grt.GrtObject setSourceObject(com.mysql.grt.GrtObject sourceObject) {
        this.sourceObject = sourceObject.get_id();
        return getSourceObject();
    }

    public String getSourceObjectById() {
        return sourceObject;
    }

    public void setSourceObjectById(String sourceObject) {
        this.sourceObject = sourceObject;
    }

    public com.mysql.grt.db.migration.Method getMethod() {
        return (com.mysql.grt.db.migration.Method) com.mysql.grt.Grt.getInstance().getObjectByRefId(method);
    }

    public com.mysql.grt.db.migration.Method setMethod(com.mysql.grt.db.migration.Method method) {
        this.method = method.get_id();
        return getMethod();
    }

    public String getMethodById() {
        return method;
    }

    public void setMethodById(String method) {
        this.method = method;
    }

}
