/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.mysql;

public class Schema extends com.mysql.grt.db.Schema {

    protected Schema() {
    }

    public Schema(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new SchemaDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new SchemaDataGlobal((String) obj);
        }
    }

    public com.mysql.grt.db.TableList getTables() {
        return ((SchemaData) data).getTables();
    }

    public com.mysql.grt.db.TableList setTables(com.mysql.grt.db.TableList tables) {
        ((SchemaData) data).setTables(tables);

        return getTables();
    }

    public com.mysql.grt.db.ViewList getViews() {
        return ((SchemaData) data).getViews();
    }

    public com.mysql.grt.db.ViewList setViews(com.mysql.grt.db.ViewList views) {
        ((SchemaData) data).setViews(views);

        return getViews();
    }

    public com.mysql.grt.db.RoutineList getRoutines() {
        return ((SchemaData) data).getRoutines();
    }

    public com.mysql.grt.db.RoutineList setRoutines(com.mysql.grt.db.RoutineList routines) {
        ((SchemaData) data).setRoutines(routines);

        return getRoutines();
    }

    public com.mysql.grt.db.RoutineGroupList getRoutineGroups() {
        return ((SchemaData) data).getRoutineGroups();
    }

    public com.mysql.grt.db.RoutineGroupList setRoutineGroups(com.mysql.grt.db.RoutineGroupList routineGroups) {
        ((SchemaData) data).setRoutineGroups(routineGroups);

        return getRoutineGroups();
    }

    public com.mysql.grt.db.SynonymList getSynonyms() {
        return ((SchemaData) data).getSynonyms();
    }

    public com.mysql.grt.db.SynonymList setSynonyms(com.mysql.grt.db.SynonymList synonyms) {
        ((SchemaData) data).setSynonyms(synonyms);

        return getSynonyms();
    }

    public com.mysql.grt.db.StructuredDatatypeList getStructuredTypes() {
        return ((SchemaData) data).getStructuredTypes();
    }

    public com.mysql.grt.db.StructuredDatatypeList setStructuredTypes(com.mysql.grt.db.StructuredDatatypeList structuredTypes) {
        ((SchemaData) data).setStructuredTypes(structuredTypes);

        return getStructuredTypes();
    }

    public com.mysql.grt.db.SequenceList getSequences() {
        return ((SchemaData) data).getSequences();
    }

    public com.mysql.grt.db.SequenceList setSequences(com.mysql.grt.db.SequenceList sequences) {
        ((SchemaData) data).setSequences(sequences);

        return getSequences();
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

        return xml;
    }
}
