/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.mysql;

public interface TableData extends com.mysql.grt.db.TableData {

    public int getDelayKeyWrite();

    public int setDelayKeyWrite(int delayKeyWrite);

    public int getChecksum();

    public int setChecksum(int checksum);

    public String getTableEngine();

    public String setTableEngine(String tableEngine);

    public String getNextAutoInc();

    public String setNextAutoInc(String nextAutoInc);

    public String getPassword();

    public String setPassword(String password);

    public String getDefaultCharacterSetName();

    public String setDefaultCharacterSetName(String defaultCharacterSetName);

    public String getDefaultCollationName();

    public String setDefaultCollationName(String defaultCollationName);

    public String getMergeUnion();

    public String setMergeUnion(String mergeUnion);

    public String getMergeInsert();

    public String setMergeInsert(String mergeInsert);

    public String getTableDataDir();

    public String setTableDataDir(String tableDataDir);

    public String getTableIndexDir();

    public String setTableIndexDir(String tableIndexDir);

    public String getPackKeys();

    public String setPackKeys(String packKeys);

    public String getRaidType();

    public String setRaidType(String raidType);

    public String getRaidChunks();

    public String setRaidChunks(String raidChunks);

    public String getRaidChunkSize();

    public String setRaidChunkSize(String raidChunkSize);

    public String getRowFormat();

    public String setRowFormat(String rowFormat);

    public String getAvgRowLength();

    public String setAvgRowLength(String avgRowLength);

    public String getMinRows();

    public String setMinRows(String minRows);

    public String getMaxRows();

    public String setMaxRows(String maxRows);

    public com.mysql.grt.db.ColumnList getColumns();

    public com.mysql.grt.db.ColumnList setColumns(com.mysql.grt.db.ColumnList columns);

    public com.mysql.grt.db.IndexList getIndices();

    public com.mysql.grt.db.IndexList setIndices(com.mysql.grt.db.IndexList indices);

    public com.mysql.grt.db.TriggerList getTriggers();

    public com.mysql.grt.db.TriggerList setTriggers(com.mysql.grt.db.TriggerList triggers);

}
