/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.oracle;

public class TableDataGlobal extends com.mysql.grt.db.TableDataGlobal implements TableData {

    public TableDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public int getPctFreeBlockSpace() {
        return getGrtGlobalAsInt("pctFreeBlockSpace");
    }

    public int setPctFreeBlockSpace(int pctFreeBlockSpace) {
        setGrtGlobalFromInt("pctFreeBlockSpace", pctFreeBlockSpace);

        return getPctFreeBlockSpace();
    }

    public int getPctUsedBlockSpace() {
        return getGrtGlobalAsInt("pctUsedBlockSpace");
    }

    public int setPctUsedBlockSpace(int pctUsedBlockSpace) {
        setGrtGlobalFromInt("pctUsedBlockSpace", pctUsedBlockSpace);

        return getPctUsedBlockSpace();
    }

    public int getInitialTrans() {
        return getGrtGlobalAsInt("initialTrans");
    }

    public int setInitialTrans(int initialTrans) {
        setGrtGlobalFromInt("initialTrans", initialTrans);

        return getInitialTrans();
    }

    public int getMaxTrans() {
        return getGrtGlobalAsInt("maxTrans");
    }

    public int setMaxTrans(int maxTrans) {
        setGrtGlobalFromInt("maxTrans", maxTrans);

        return getMaxTrans();
    }

    public int getInitialExtent() {
        return getGrtGlobalAsInt("initialExtent");
    }

    public int setInitialExtent(int initialExtent) {
        setGrtGlobalFromInt("initialExtent", initialExtent);

        return getInitialExtent();
    }

    public int getNextExtent() {
        return getGrtGlobalAsInt("nextExtent");
    }

    public int setNextExtent(int nextExtent) {
        setGrtGlobalFromInt("nextExtent", nextExtent);

        return getNextExtent();
    }

    public int getMinExtents() {
        return getGrtGlobalAsInt("minExtents");
    }

    public int setMinExtents(int minExtents) {
        setGrtGlobalFromInt("minExtents", minExtents);

        return getMinExtents();
    }

    public int getMaxExtents() {
        return getGrtGlobalAsInt("maxExtents");
    }

    public int setMaxExtents(int maxExtents) {
        setGrtGlobalFromInt("maxExtents", maxExtents);

        return getMaxExtents();
    }

    public int getPctIncrease() {
        return getGrtGlobalAsInt("pctIncrease");
    }

    public int setPctIncrease(int pctIncrease) {
        setGrtGlobalFromInt("pctIncrease", pctIncrease);

        return getPctIncrease();
    }

    public int getNumRows() {
        return getGrtGlobalAsInt("numRows");
    }

    public int setNumRows(int numRows) {
        setGrtGlobalFromInt("numRows", numRows);

        return getNumRows();
    }

    public int getBlocks() {
        return getGrtGlobalAsInt("blocks");
    }

    public int setBlocks(int blocks) {
        setGrtGlobalFromInt("blocks", blocks);

        return getBlocks();
    }

    public int getEmptyBlocks() {
        return getGrtGlobalAsInt("emptyBlocks");
    }

    public int setEmptyBlocks(int emptyBlocks) {
        setGrtGlobalFromInt("emptyBlocks", emptyBlocks);

        return getEmptyBlocks();
    }

    public int getAvgSpace() {
        return getGrtGlobalAsInt("avgSpace");
    }

    public int setAvgSpace(int avgSpace) {
        setGrtGlobalFromInt("avgSpace", avgSpace);

        return getAvgSpace();
    }

    public int getAvgRowLen() {
        return getGrtGlobalAsInt("avgRowLen");
    }

    public int setAvgRowLen(int avgRowLen) {
        setGrtGlobalFromInt("avgRowLen", avgRowLen);

        return getAvgRowLen();
    }

    public int getIsNestedTable() {
        return getGrtGlobalAsInt("isNestedTable");
    }

    public int setIsNestedTable(int isNestedTable) {
        setGrtGlobalFromInt("isNestedTable", isNestedTable);

        return getIsNestedTable();
    }

    public String getTablespaceName() {
        return getGrtGlobalAsString("tablespaceName");
    }

    public String setTablespaceName(String tablespaceName) {
        setGrtGlobalFromString("tablespaceName", tablespaceName);

        return getTablespaceName();
    }

    public String getClusterName() {
        return getGrtGlobalAsString("clusterName");
    }

    public String setClusterName(String clusterName) {
        setGrtGlobalFromString("clusterName", clusterName);

        return getClusterName();
    }

}
