/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.forms;

public class Application extends com.mysql.grt.GrtObject {

    protected Application() {
    }

    public Application(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new ApplicationDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new ApplicationDataGlobal((String) obj);
        }
    }

    public int getActive() {
        return ((ApplicationData) data).getActive();
    }

    public int setActive(int active) {
        ((ApplicationData) data).setActive(active);

        return getActive();
    }

    public int getMouseX() {
        return ((ApplicationData) data).getMouseX();
    }

    public int setMouseX(int mouseX) {
        ((ApplicationData) data).setMouseX(mouseX);

        return getMouseX();
    }

    public int getMouseY() {
        return ((ApplicationData) data).getMouseY();
    }

    public int setMouseY(int mouseY) {
        ((ApplicationData) data).setMouseY(mouseY);

        return getMouseY();
    }

    public com.mysql.grt.forms.FormList getForms() {
        return ((ApplicationData) data).getForms();
    }

    public com.mysql.grt.forms.FormList setForms(com.mysql.grt.forms.FormList forms) {
        ((ApplicationData) data).setForms(forms);

        return getForms();
    }

    public com.mysql.grt.forms.Form getMainForm() {
        return ((ApplicationData) data).getMainForm();
    }

    public com.mysql.grt.forms.Form setMainForm(com.mysql.grt.forms.Form mainForm) {
        ((ApplicationData) data).setMainForm(mainForm);

        return getMainForm();
    }

    public String getMainFormById() {
        return ((ApplicationData) data).getMainFormById();
    }

    public void setMainFormById(String mainForm) {
        ((ApplicationData) data).setMainFormById(mainForm);
    }

    public com.mysql.grt.forms.Form getActiveForm() {
        return ((ApplicationData) data).getActiveForm();
    }

    public com.mysql.grt.forms.Form setActiveForm(com.mysql.grt.forms.Form activeForm) {
        ((ApplicationData) data).setActiveForm(activeForm);

        return getActiveForm();
    }

    public String getActiveFormById() {
        return ((ApplicationData) data).getActiveFormById();
    }

    public void setActiveFormById(String activeForm) {
        ((ApplicationData) data).setActiveFormById(activeForm);
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            xml.append("<value type=\"int\" key=\"active\">"
                    + Integer.toString(getActive()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"mouseX\">"
                    + Integer.toString(getMouseX()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"mouseY\">"
                    + Integer.toString(getMouseY()) + "</value>\n");

            if (getForms() != null) {
                getForms().getGrtXml(xml, " key=\"forms\"");
            }

            if (getMainForm() != null) {
                xml.append("<value type=\"string\" option=\"ref\" key=\"mainForm\">"
                        + getMainFormById() + "</value>\n");
            }

            if (getActiveForm() != null) {
                xml.append("<value type=\"string\" option=\"ref\" key=\"activeForm\">"
                        + getActiveFormById() + "</value>\n");
            }

        return xml;
    }
}
