/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.forms;

public class Dropdown extends com.mysql.grt.forms.Widget {

    protected Dropdown() {
    }

    public Dropdown(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new DropdownDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new DropdownDataGlobal((String) obj);
        }
    }

    public int getFixedList() {
        return ((DropdownData) data).getFixedList();
    }

    public int setFixedList(int fixedList) {
        ((DropdownData) data).setFixedList(fixedList);

        return getFixedList();
    }

    public int getSelectedItem() {
        return ((DropdownData) data).getSelectedItem();
    }

    public int setSelectedItem(int selectedItem) {
        ((DropdownData) data).setSelectedItem(selectedItem);

        return getSelectedItem();
    }

    public String getText() {
        return ((DropdownData) data).getText();
    }

    public String setText(String text) {
        ((DropdownData) data).setText(text);

        return getText();
    }

    public com.mysql.grt.GrtStringList getItems() {
        return ((DropdownData) data).getItems();
    }

    public com.mysql.grt.GrtStringList setItems(com.mysql.grt.GrtStringList items) {
        ((DropdownData) data).setItems(items);

        return getItems();
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            xml.append("<value type=\"int\" key=\"fixedList\">"
                    + Integer.toString(getFixedList()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"selectedItem\">"
                    + Integer.toString(getSelectedItem()) + "</value>\n");

            if (getText() != null) {
                xml.append("<value type=\"string\" key=\"text\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getText()) + "</value>\n");
            }

            if (getItems() != null) {
                getItems().getGrtXml(xml, " key=\"items\"");
            }

        return xml;
    }
}
