/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.forms;

public class EditDataGlobal extends com.mysql.grt.forms.WidgetDataGlobal implements EditData {

    public EditDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public int getBorder() {
        return getGrtGlobalAsInt("border");
    }

    public int setBorder(int border) {
        setGrtGlobalFromInt("border", border);

        return getBorder();
    }

    public int getReadOnly() {
        return getGrtGlobalAsInt("readOnly");
    }

    public int setReadOnly(int readOnly) {
        setGrtGlobalFromInt("readOnly", readOnly);

        return getReadOnly();
    }

    public String getText() {
        return getGrtGlobalAsString("text");
    }

    public String setText(String text) {
        setGrtGlobalFromString("text", text);

        return getText();
    }

    public String getPasswordChar() {
        return getGrtGlobalAsString("passwordChar");
    }

    public String setPasswordChar(String passwordChar) {
        setGrtGlobalFromString("passwordChar", passwordChar);

        return getPasswordChar();
    }

}
