/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.forms;

public interface FormData extends com.mysql.grt.forms.WidgetData {

    public int getActive();

    public int setActive(int active);

    public int getAlphaBlend();

    public int setAlphaBlend(int alphaBlend);

    public int getAlphaBlendValue();

    public int setAlphaBlendValue(int alphaBlendValue);

    public String getWindowState();

    public String setWindowState(String windowState);

    public String getEventOnCreate();

    public String setEventOnCreate(String eventOnCreate);

    public String getEventOnDestroy();

    public String setEventOnDestroy(String eventOnDestroy);

    public String getEventOnActivate();

    public String setEventOnActivate(String eventOnActivate);

    public String getEventOnDeactivate();

    public String setEventOnDeactivate(String eventOnDeactivate);

    public String getEventOnClose();

    public String setEventOnClose(String eventOnClose);

    public com.mysql.grt.forms.Action getActions();

    public com.mysql.grt.forms.Action setActions(com.mysql.grt.forms.Action actions);

    public com.mysql.grt.forms.Menuitem getMenuitems();

    public com.mysql.grt.forms.Menuitem setMenuitems(com.mysql.grt.forms.Menuitem menuitems);

    public com.mysql.grt.forms.Panel getPanels();

    public com.mysql.grt.forms.Panel setPanels(com.mysql.grt.forms.Panel panels);

    public com.mysql.grt.forms.Button getButtons();

    public com.mysql.grt.forms.Button setButtons(com.mysql.grt.forms.Button buttons);

    public com.mysql.grt.forms.Edit getEdits();

    public com.mysql.grt.forms.Edit setEdits(com.mysql.grt.forms.Edit edits);

    public com.mysql.grt.forms.Checkbox getCheckboxes();

    public com.mysql.grt.forms.Checkbox setCheckboxes(com.mysql.grt.forms.Checkbox checkboxes);

    public com.mysql.grt.forms.Radiobutton getRadiobuttons();

    public com.mysql.grt.forms.Radiobutton setRadiobuttons(com.mysql.grt.forms.Radiobutton radiobuttons);

    public com.mysql.grt.forms.Listbox getListboxes();

    public com.mysql.grt.forms.Listbox setListboxes(com.mysql.grt.forms.Listbox listboxes);

    public com.mysql.grt.forms.Dropdown getDropdowns();

    public com.mysql.grt.forms.Dropdown setDropdowns(com.mysql.grt.forms.Dropdown dropdowns);

    public com.mysql.grt.forms.Pagecontrol getPagecontrols();

    public com.mysql.grt.forms.Pagecontrol setPagecontrols(com.mysql.grt.forms.Pagecontrol pagecontrols);

    public com.mysql.grt.forms.MenuitemList getMainMenu();

    public com.mysql.grt.forms.MenuitemList setMainMenu(com.mysql.grt.forms.MenuitemList mainMenu);

    public com.mysql.grt.forms.Widget getActiveControl();

    public com.mysql.grt.forms.Widget setActiveControl(com.mysql.grt.forms.Widget activeControl);

    public String getActiveControlById();

    public void setActiveControlById(String activeControl);

}
