/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.forms;

public class WidgetDataLocal extends com.mysql.grt.GrtObjectDataLocal implements WidgetData {

    private int left;

    private int top;

    private int width;

    private int height;

    private int autosize;

    private int enabled;

    private int visible;

    private String caption;

    private String color;

    private String eventOnClick;

    private String eventOnDblClick;

    private String eventOnResize;

    private String eventOnMouseDown;

    private String eventOnMouseMove;

    private String eventOnMouseUp;

    private String eventOnMouseIn;

    private String eventOnMouseOut;

    private String eventOnKeyDown;

    private String eventOnKeyUp;

    private com.mysql.grt.forms.WidgetList controls;

    private com.mysql.grt.forms.Anchors anchors;

    private com.mysql.grt.forms.Constraints constraints;

    private String parent;

    public WidgetDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public int getLeft() {
        return left;
    }

    public int setLeft(int left) {
        this.left = left;

        return getLeft();
    }

    public int getTop() {
        return top;
    }

    public int setTop(int top) {
        this.top = top;

        return getTop();
    }

    public int getWidth() {
        return width;
    }

    public int setWidth(int width) {
        this.width = width;

        return getWidth();
    }

    public int getHeight() {
        return height;
    }

    public int setHeight(int height) {
        this.height = height;

        return getHeight();
    }

    public int getAutosize() {
        return autosize;
    }

    public int setAutosize(int autosize) {
        this.autosize = autosize;

        return getAutosize();
    }

    public int getEnabled() {
        return enabled;
    }

    public int setEnabled(int enabled) {
        this.enabled = enabled;

        return getEnabled();
    }

    public int getVisible() {
        return visible;
    }

    public int setVisible(int visible) {
        this.visible = visible;

        return getVisible();
    }

    public String getCaption() {
        return caption;
    }

    public String setCaption(String caption) {
        this.caption = caption;

        return getCaption();
    }

    public String getColor() {
        return color;
    }

    public String setColor(String color) {
        this.color = color;

        return getColor();
    }

    public String getEventOnClick() {
        return eventOnClick;
    }

    public String setEventOnClick(String eventOnClick) {
        this.eventOnClick = eventOnClick;

        return getEventOnClick();
    }

    public String getEventOnDblClick() {
        return eventOnDblClick;
    }

    public String setEventOnDblClick(String eventOnDblClick) {
        this.eventOnDblClick = eventOnDblClick;

        return getEventOnDblClick();
    }

    public String getEventOnResize() {
        return eventOnResize;
    }

    public String setEventOnResize(String eventOnResize) {
        this.eventOnResize = eventOnResize;

        return getEventOnResize();
    }

    public String getEventOnMouseDown() {
        return eventOnMouseDown;
    }

    public String setEventOnMouseDown(String eventOnMouseDown) {
        this.eventOnMouseDown = eventOnMouseDown;

        return getEventOnMouseDown();
    }

    public String getEventOnMouseMove() {
        return eventOnMouseMove;
    }

    public String setEventOnMouseMove(String eventOnMouseMove) {
        this.eventOnMouseMove = eventOnMouseMove;

        return getEventOnMouseMove();
    }

    public String getEventOnMouseUp() {
        return eventOnMouseUp;
    }

    public String setEventOnMouseUp(String eventOnMouseUp) {
        this.eventOnMouseUp = eventOnMouseUp;

        return getEventOnMouseUp();
    }

    public String getEventOnMouseIn() {
        return eventOnMouseIn;
    }

    public String setEventOnMouseIn(String eventOnMouseIn) {
        this.eventOnMouseIn = eventOnMouseIn;

        return getEventOnMouseIn();
    }

    public String getEventOnMouseOut() {
        return eventOnMouseOut;
    }

    public String setEventOnMouseOut(String eventOnMouseOut) {
        this.eventOnMouseOut = eventOnMouseOut;

        return getEventOnMouseOut();
    }

    public String getEventOnKeyDown() {
        return eventOnKeyDown;
    }

    public String setEventOnKeyDown(String eventOnKeyDown) {
        this.eventOnKeyDown = eventOnKeyDown;

        return getEventOnKeyDown();
    }

    public String getEventOnKeyUp() {
        return eventOnKeyUp;
    }

    public String setEventOnKeyUp(String eventOnKeyUp) {
        this.eventOnKeyUp = eventOnKeyUp;

        return getEventOnKeyUp();
    }

    public com.mysql.grt.forms.Anchors getAnchors() {
        if (anchors == null)
            anchors = new com.mysql.grt.forms.Anchors(this.grtObject);
        return anchors;
    }

    public com.mysql.grt.forms.Anchors setAnchors(com.mysql.grt.forms.Anchors anchors) {
        this.anchors = anchors;

        return getAnchors();
    }

    public com.mysql.grt.forms.Constraints getConstraints() {
        if (constraints == null)
            constraints = new com.mysql.grt.forms.Constraints(this.grtObject);
        return constraints;
    }

    public com.mysql.grt.forms.Constraints setConstraints(com.mysql.grt.forms.Constraints constraints) {
        this.constraints = constraints;

        return getConstraints();
    }

    public com.mysql.grt.forms.WidgetList getControls() {
        if (controls == null)
            controls = new com.mysql.grt.forms.WidgetList(this.grtObject);
        return controls;
    }

    public com.mysql.grt.forms.WidgetList setControls(com.mysql.grt.forms.WidgetList controls) {
        this.controls = controls;
        return getControls();
    }

    public com.mysql.grt.forms.Widget getParent() {
        return (com.mysql.grt.forms.Widget) com.mysql.grt.Grt.getInstance().getObjectByRefId(parent);
    }

    public com.mysql.grt.forms.Widget setParent(com.mysql.grt.forms.Widget parent) {
        this.parent = parent.get_id();
        return getParent();
    }

    public String getParentById() {
        return parent;
    }

    public void setParentById(String parent) {
        this.parent = parent;
    }

}
